Skip to content

Event types · API reference

The organisation's event types, their settings and their slots.

List event types

GET/types

Scope : types:lire Read event types, their slots and messages

Whole list by default; with page or limit, paginated (25 by default, 500 at most).

Parameters

NameInTypeRequiredDescription
pagequeryintegerno
limitqueryintegerno
pagequeryintegernoNuméro de page, à partir de 1
limitqueryintegernoÉléments par page (500 au plus)
Request example
curl -X GET 'https://www.artibox-calendar.com/api/v1/types' \
  -H "x-api-key: $RDV_TOKEN"
Response example
{
  "message": "success",
  "data": [
    {
      "id": "0192f0c4-6a51-7c3e-9d0e-5b1f3a2c4d10",
      "name": "Premier échange",
      "slug": "premier-echange",
      "mode": "video",
      "format": "individual",
      "duration_minutes": 30,
      "active": true,
      "visibility": "public"
    }
  ],
  "errors": null
}

Responses

  • 200 Success
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After

Create an event type

POST/types

Scope : types:ecrire Create, change and delete event types

Creation: the Idempotency-Key header prevents duplicates for 24 hours.

Parameters

NameInTypeRequiredDescription
Idempotency-KeyheaderstringnoUne clé de votre choix (255 caractères au plus) : rejouée dans les 24 heures, la même requête rend la première réponse sans rien recréer ; en cours, 409 ; sur une autre route, 422.

Request body

Request example
curl -X POST 'https://www.artibox-calendar.com/api/v1/types' \
  -H "x-api-key: $RDV_TOKEN" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H 'Content-Type: application/json' \
  -d '{"name":"Premier échange","slug":"premier-echange","duration_minutes":30,"mode":"video","format":"individual"}'
Response example
{
  "message": "success",
  "data": {
    "id": "0192f0c4-6a51-7c3e-9d0e-5b1f3a2c4d10",
    "name": "Premier échange",
    "slug": "premier-echange",
    "mode": "video",
    "format": "individual",
    "duration_minutes": 30,
    "active": true,
    "visibility": "public"
  },
  "errors": null
}

Responses

  • 201 Created
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 409 Conflict: slot taken or request in progress
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After

List the event type templates offered at creation

GET/types/templates

Scope : types:lire Read event types, their slots and messages

Request example
curl -X GET 'https://www.artibox-calendar.com/api/v1/types/templates' \
  -H "x-api-key: $RDV_TOKEN"

Responses

  • 200 Success
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After

Check that an event type address is free

GET/types/slug-check

Scope : types:lire Read event types, their slots and messages

Parameters

NameInTypeRequiredDescription
slugquerystringyes
exceptquerystring (uuid)noLe type en cours de modification
Request example
curl -X GET 'https://www.artibox-calendar.com/api/v1/types/slug-check' \
  -H "x-api-key: $RDV_TOKEN"

Responses

  • 200 Success
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After

Preview the slots of unsaved settings

POST/types/slot-preview

Scope : types:ecrire Create, change and delete event types

Creation: the Idempotency-Key header prevents duplicates for 24 hours.

Parameters

NameInTypeRequiredDescription
Idempotency-KeyheaderstringnoUne clé de votre choix (255 caractères au plus) : rejouée dans les 24 heures, la même requête rend la première réponse sans rien recréer ; en cours, 409 ; sur une autre route, 422.

Request body

`{type: {…champs du type}, from, to}`

Request example
curl -X POST 'https://www.artibox-calendar.com/api/v1/types/slot-preview' \
  -H "x-api-key: $RDV_TOKEN" \
  -H "Idempotency-Key: $(uuidgen)"
Response example
{
  "message": "success",
  "data": {
    "slots": [
      {
        "start": "2026-12-01T10:00:00+01:00",
        "end": "2026-12-01T10:30:00+01:00",
        "organizers": [
          "0192f0c4-0000-7000-8000-000000000001"
        ]
      }
    ],
    "unreadable": [],
    "without_calendar": []
  },
  "errors": null
}

Responses

  • 200 Success
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 409 Conflict: slot taken or request in progress
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After

Read an event type

GET/types/{id}

Scope : types:lire Read event types, their slots and messages

Parameters

NameInTypeRequiredDescription
idpathstringyes
Request example
curl -X GET 'https://www.artibox-calendar.com/api/v1/types/{id}' \
  -H "x-api-key: $RDV_TOKEN"
Response example
{
  "message": "success",
  "data": {
    "id": "0192f0c4-6a51-7c3e-9d0e-5b1f3a2c4d10",
    "name": "Premier échange",
    "slug": "premier-echange",
    "mode": "video",
    "format": "individual",
    "duration_minutes": 30,
    "active": true,
    "visibility": "public"
  },
  "errors": null
}

Responses

  • 200 Success
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After

Update an event type

PUT/types/{id}

Scope : types:ecrire Create, change and delete event types

Parameters

NameInTypeRequiredDescription
idpathstringyes

Request body

Request example
curl -X PUT 'https://www.artibox-calendar.com/api/v1/types/{id}' \
  -H "x-api-key: $RDV_TOKEN"
Response example
{
  "message": "success",
  "data": {
    "id": "0192f0c4-6a51-7c3e-9d0e-5b1f3a2c4d10",
    "name": "Premier échange",
    "slug": "premier-echange",
    "mode": "video",
    "format": "individual",
    "duration_minutes": 30,
    "active": true,
    "visibility": "public"
  },
  "errors": null
}

Responses

  • 200 Success
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After

Delete an event type

DELETE/types/{id}

Scope : types:ecrire Create, change and delete event types

Parameters

NameInTypeRequiredDescription
idpathstringyes
Request example
curl -X DELETE 'https://www.artibox-calendar.com/api/v1/types/{id}' \
  -H "x-api-key: $RDV_TOKEN"

Responses

  • 204 Done, no content
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 429 Too many calls: wait for Retry-After

Find an event type's available slots

GET/types/{id}/slots

Scope : types:lire Read event types, their slots and messages

Parameters

NameInTypeRequiredDescription
fromquerystring (date-time)no
toquerystring (date-time)no
idpathstringyes
Request example
curl -X GET 'https://www.artibox-calendar.com/api/v1/types/{id}/slots' \
  -H "x-api-key: $RDV_TOKEN"
Response example
{
  "message": "success",
  "data": {
    "slots": [
      {
        "start": "2026-12-01T10:00:00+01:00",
        "end": "2026-12-01T10:30:00+01:00",
        "organizers": [
          "0192f0c4-0000-7000-8000-000000000001"
        ]
      }
    ],
    "unreadable": [],
    "without_calendar": []
  },
  "errors": null
}

Responses

  • 200 Success
  • 401 Missing, unknown or expired token
  • 403 Missing scope or right refused
  • 404 Not found (or another organisation's)
  • 422 Data refused: details are given field by field
  • 429 Too many calls: wait for Retry-After